% Grammar Model

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% feature information for learning

req_feature(vp,[subcat,person,agr,pos,rreq,ragr,tagr,vagr,semcat]).
req_feature(v,[subcat,person,agr,vagr,semcat]).
req_feature(comp,[subcat,person,agr,rreq,ragr,vagr]).
req_feature(np,[subcat,agr,rreq,ragr,tagr,semcat]).
req_feature(n,[case,agr,det,def,semcat]).
req_feature(pn,[semcat]).
req_feature(det,[case,agr,def]).
req_feature(adj,[case,agr,def,semcat]).
req_feature(pro,[subcat,case,agr]).
req_feature(pp,[rreq,ragr,semcat]).
req_feature(p,[semcat,case,det,agr]).
req_feature(adv,[semcat]).
req_feature(junk,[subcat]).
req_feature(sc,[subcat,pos,rreq,ragr]).
req_feature(rc,[subcat,person,agr,pos,ragr,vagr]).
req_feature(tc,[subcat,tagr]).
req_feature(tp,[semcat]).
req_feature(t,[subcat,semcat]).
req_feature(part,[subcat]).
req_feature(vcomp,[subcat]).
 
feature_pass(subcat,A,A).
feature_pass(person,_,_).
feature_pass(case,_,_).
feature_pass(agr,_,_).
feature_pass(pos,A,A).
feature_pass(det,_,_).
feature_pass(def,_,_).
feature_pass(rreq,_,_).
feature_pass(ragr,_,_).
feature_pass(tagr,_,_).
feature_pass(vagr,_,_).
feature_pass(semcat,A,A).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% adjunct rules

adj(left,vp,[pos:prefield],[junk]).
adj(left,vp,[pos:midfield],[adv,pp,junk]).
adj(right,np,[],[pp,adv,np,pn]).
adj(left,np,[],[adv]).
adj(right,pn,[],[n]).
adj(left,pn,[],[n]).
adj(left,adj,[],[adv]).
adj(left,t,[],[adv]).
adj(left,n,[],[tp]).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% argument rules

arg(left,np,[],[adj]).
arg(left,vp,[pos:midfield],[comp]).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% composition rules

lc([tp,[semcat:[list,S1,time]]],
        [[p,[semcat:S1]],
         [t,[semcat:time]]]).

lc([tp,[semcat:[list,S1,tageszeit]]],
        [[p,[semcat:S1,case:Kasus]],
         [n,[semcat:tageszeit,case:Kasus]]]).

lc([tp,[semcat:[list,S1,tag]]],
        [[p,[semcat:S1,case:Kasus]],
         [n,[semcat:tag,case:Kasus]]]).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% transformation rules

tf([vp,[subcat:fin,pos:midfield,tagr:initial,rreq:RReq,ragr:RRagr]],
        [[pp,[rreq:RReq,ragr:RRagr]]]).

tf([vp,[subcat:aux,pos:midfield,tagr:initial,rreq:RReq,ragr:RRagr]],
        [[pp,[rreq:RReq,ragr:RRagr]]]).

tf([vp,[subcat:fin,pos:postfield,tagr:initial,rreq:RReq,ragr:RRagr]],
        [[pp,[rreq:RReq,ragr:RRagr]]]).

tf([vp,[subcat:aux,pos:postfield,tagr:initial,rreq:RReq,ragr:RRagr]],
        [[pp,[rreq:RReq,ragr:RRagr]]]).

tf([adv,[semcat:Sem]],
         [[adj,[semcat:Sem,case:none]]]).
