%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% rules %%%

       % accept any sentence with complete arguments % 1
grammar([s,[subcat:SC,agr:Agr,person:P]],
          [[vp,[subcat:SC,pos:prefield,agr:Agr,person:P,vagr:complete,rreq:complete]]]).

       % question % 2
grammar([s,[subcat:SC,agr:Agr,person:P]],
          [[vp,[subcat:SC,pos:verb,agr:Agr,person:P,vagr:complete,rreq:complete]]]).

%%% verbal phrases

% prefield %

       % junk at beginning % 3
grammar([vp,[semcat:VSem,subcat:SC,pos:prefield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[junk,[subcat:init]],
           [vp,[semcat:VSem,subcat:SC,pos:prefield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % subordinate clause at beginning (2) % 4
grammar([vp,[semcat:VSem,subcat:SC,pos:prefield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[sc,[subcat:sub]],
           [vp,[semcat:VSem,subcat:SC,pos:verb,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % subordinate clause at beginning (3) % 5
grammar([vp,[semcat:VSem,subcat:SC,pos:prefield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[sc,[subcat:zu]],
           [vp,[semcat:VSem,subcat:SC,pos:verb,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % subordinate clause at beginning (8) % 6
grammar([vp,[semcat:VSem,subcat:SC,pos:prefield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[sc,[subcat:cond]],
           [vp,[semcat:VSem,subcat:SC,pos:verb,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % wh-question % 7
grammar([vp,[semcat:VSem,subcat:SC,pos:prefield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[rc,[subcat:wq,vagr:VAgr,agr:Agr,person:P]],
           [vp,[semcat:VSem,subcat:SC,pos:verb,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % component % 8
grammar([vp,[semcat:VSem,subcat:SC,pos:prefield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[comp,[agr:Agr,person:P,vagr:VAgr,ragr:RAgr,rreq:RReq]],
           [vp,[semcat:VSem,subcat:SC,pos:verb,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % time component % 9
grammar([vp,[semcat:VSem,subcat:SC,pos:prefield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[tc,[tagr:TAgr]],
           [vp,[semcat:VSem,subcat:SC,pos:verb,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

% verb1 %

       % junk at beginning (question) % 10
grammar([vp,[semcat:VSem,subcat:SC,pos:verb,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[junk,[subcat:init]],
           [vp,[semcat:VSem,subcat:SC,pos:verb,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % finite verb % 11
grammar([vp,[subcat:fin,semcat:VSem,pos:verb,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[v,[subcat:fin,semcat:VSem,agr:Agr,person:P,vagr:VAgr]],
           [vp,[subcat:fin,semcat:VSem,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % auxiliary verb % 12
grammar([vp,[subcat:aux,semcat:VSem,pos:verb,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[v,[subcat:aux,agr:Agr,person:P,person:P]],
           [vp,[subcat:aux,semcat:VSem,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

% midfield %

       % adverb: verb % 13
grammar([vp,[subcat:SC,semcat:VSem,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[adv,[semcat:gerne]],
           [vp,[subcat:SC,semcat:VSem,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % adverb: auch % 14
grammar([vp,[semcat:VSem,subcat:SC,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[adv,[semcat:auch]],
           [vp,[semcat:VSem,subcat:SC,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % component % 15
grammar([vp,[semcat:VSem,subcat:SC,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[comp,[subcat:mid,agr:Agr,person:P,vagr:VAgr,ragr:RAgr,rreq:RReq]],
           [vp,[semcat:VSem,subcat:SC,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % time component % 16
grammar([vp,[semcat:VSem,subcat:SC,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[tc,[subcat:single,tagr:TAgr]],
           [vp,[semcat:VSem,subcat:SC,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % adjunct pp: nach % 17
grammar([vp,[semcat:bewegen,subcat:SC,agr:Agr,person:P,vagr:VAgr,pos:midfield,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[pp,[semcat:[list,nach,ort],ragr:RAgr,rreq:RReq]],
           [vp,[semcat:bewegen,subcat:SC,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % adjunct pp: von/ab % 18
grammar([vp,[semcat:bewegen,subcat:SC,agr:Agr,person:P,vagr:VAgr,pos:midfield,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[pp,[semcat:[list,von,ort],ragr:RAgr,rreq:RReq]],
           [vp,[semcat:bewegen,subcat:SC,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % adjunct pp: mit/ohne % 19
grammar([vp,[semcat:VSem,subcat:SC,agr:Agr,person:P,vagr:VAgr,pos:midfield,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[pp,[semcat:[list,mit,_],ragr:RAgr,rreq:RReq]],
           [vp,[semcat:VSem,subcat:SC,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % comp  & end sentence % 20
grammar([vp,[subcat:fin,pos:midfield,agr:Agr,person:P,vagr:VAgr,tagr:initial,ragr:RAgr,rreq:RReq]],
          [[comp,[agr:Agr,person:P,vagr:VAgr,ragr:RAgr,rreq:RReq]]]).

       % adjunct pp: nach Muenchen & end sentence % 21
grammar([vp,[semcat:bewegen,subcat:fin,pos:midfield,tagr:initial,ragr:RAgr,rreq:RReq]],
          [[pp,[semcat:[list,nach,ort],ragr:RAgr,rreq:RReq]]]).

       % autonomous subordinate clause (1) & end % 22
grammar([vp,[subcat:fin,pos:midfield,tagr:initial]],
          [[sc,[subcat:main]]]).

       % autonomous subordinate clause (2) & end % 23
grammar([vp,[subcat:fin,pos:midfield,tagr:initial]],
          [[sc,[subcat:sub]]]).

       % zu-clause (3) & end % 24
grammar([vp,[subcat:fin,pos:midfield,tagr:initial]],
          [[sc,[subcat:zu]]]).

       % scomp (5) & end % 25
grammar([vp,[subcat:fin,pos:midfield,vagr:[scomp:[has,_]],tagr:initial]],
          [[sc,[subcat:scomp]]]).

       % with wq as scomp (6) & end % 26
grammar([vp,[subcat:fin,pos:midfield,vagr:[scomp:[has,_]],tagr:initial]],
          [[sc,[subcat:wq]]]).

% verb2 %

       % takes inifinte verb to end auxiliary sentence % 27
grammar([vp,[semcat:VSem,subcat:aux,pos:midfield,vagr:VAgr,tagr:initial]],
          [[v,[semcat:VSem,subcat:inf,vagr:VAgr]]]).

       % takes inifinte verb % 28
grammar([vp,[semcat:VSem,subcat:aux,pos:midfield,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[v,[semcat:VSem,subcat:inf,vagr:VAgr]],
           [vp,[semcat:VSem,subcat:aux,pos:postfield,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % sc takes fin % 29
grammar([vp,[semcat:VSem,subcat:sc,pos:midfield,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq,agr:Agr,person:P]],
          [[v,[semcat:VSem,subcat:fin,vagr:VAgr,agr:Agr,person:P]],
           [vp,[semcat:VSem,subcat:sc,pos:postfield,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq,agr:Agr,person:P]]]).

       % end of sc with fin % 30
grammar([vp,[semcat:VSem,subcat:sc,pos:midfield,vagr:VAgr,tagr:initial,agr:Agr,person:P]],
          [[v,[semcat:VSem,subcat:fin,vagr:VAgr,agr:Agr,person:P]]]).

       % sc takes inf+aux % 31
grammar([vp,[semcat:VSem,subcat:sc,pos:midfield,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq,agr:Agr,person:P]],
          [[v,[semcat:VSem,subcat:infaux,vagr:VAgr,agr:Agr,person:P]],
           [vp,[semcat:VSem,subcat:sc,pos:postfield,vagr:VAgr,tagr:TAgr,ragr:RAgr,rreq:RReq,agr:Agr,person:P]]]).

       % end of sc with inf+aux % 32
grammar([vp,[semcat:VSem,subcat:sc,pos:midfield,vagr:VAgr,tagr:initial,agr:Agr,person:P]],
          [[v,[semcat:VSem,subcat:infaux,vagr:VAgr,agr:Agr,person:P]]]).

       % end of zu-sc % 33
grammar([vp,[semcat:VSem,subcat:zu,pos:midfield,vagr:VAgr,tagr:initial]],
          [[v,[semcat:VSem,subcat:zu,vagr:VAgr]]]).

% postfield %

       % continues with autonomous subordinate clause (1) % 34
grammar([vp,[pos:postfield,tagr:initial]],
          [[sc,[subcat:main]]]).

       % continues with autonomous subordinate clause (2) % 35
grammar([vp,[pos:postfield,tagr:initial]],
          [[sc,[subcat:sub]]]).

       % continues with zu-clause (3) % 36
grammar([vp,[pos:postfield,tagr:initial]],
          [[sc,[subcat:zu]]]).

       % continues with relative clause (4)  % 37
grammar([vp,[pos:postfield,tagr:initial,ragr:RAgr,rreq:RReq]],
          [[sc,[subcat:rel,ragr:RAgr,rreq:RReq]]]).

       % continues with scomp (5) % 38
grammar([vp,[pos:postfield,vagr:[scomp:[has,_]],tagr:initial]],
          [[sc,[subcat:scomp]]]).

       % continues with wq as scomp (6) % 39
grammar([vp,[pos:postfield,vagr:[scomp:[has,_]],tagr:initial]],
          [[sc,[subcat:wq]]]).

       % takes comp & ends sentence % 40
grammar([vp,[pos:postfield,agr:Agr,person:P,vagr:VAgr,tagr:initial]],
          [[comp,[subcat:ext,agr:Agr,person:P,vagr:VAgr]]]).

%%% verb

       % gehen will % 41
grammar([v,[semcat:VSem,subcat:infaux,agr:Agr,person:P,vagr:VAgr]],
          [[v,[semcat:VSem,subcat:inf,vagr:VAgr]],
           [v,[subcat:aux,agr:Agr,person:P]]]).

       % zu gehen % 42
grammar([v,[semcat:VSem,subcat:zu,vagr:VAgr]],
          [[part,[subcat:zu]],
           [v,[semcat:VSem,subcat:inf,vagr:VAgr]]]).

       % gehen zu wollen % 43
grammar([v,[semcat:VSem,subcat:zu,vagr:VAgr]],
          [[v,[semcat:VSem,subcat:inf,vagr:VAgr]],
           [v,[subcat:zuaux]]]).

       % zu wollen % 44
grammar([v,[subcat:zuaux]],
          [[part,[subcat:zu]],
           [v,[subcat:auxinf]]]).

%%% subordinate clauses

       % aber K V KKK  (1) % 45
grammar([sc,[subcat:main]],
          [[part,[subcat:main]],
           [vp,[pos:prefield,vagr:complete,rreq:complete]]]).

       % weil KKKK V   (2) % 46
grammar([sc,[subcat:sub]],
          [[part,[subcat:sub]],
           [vp,[subcat:sc,pos:midfield,vagr:complete,rreq:complete]]]).

       % um KKKK zu V   (3) % 47
grammar([sc,[subcat:zu]],
          [[vp,[subcat:zu,pos:midfield,rreq:complete]]]).

       % KKKK zu V      (3) % 48
grammar([sc,[subcat:zu]],
          [[part,[subcat:um]],
           [vp,[subcat:zu,pos:midfield,rreq:complete]]]).

       % der KKKK V   (4) % 49
grammar([sc,[subcat:rel,ragr:RAgr,rreq:[req:[has,_]]]],
          [[vp,[subcat:rel,pos:begin,vagr:complete,ragr:RAgr]]]).

       % dass KKKK V (scomp)   (5) % 50
grammar([sc,[subcat:scomp]],
          [[part,[subcat:scomp]],
           [vp,[subcat:sc,pos:midfield,vagr:complete,rreq:complete]]]).

       % wer/wo KKKK V (wq)    (6) % 51
grammar([sc,[subcat:wq,pos:begin]],
          [[vp,[subcat:wq,vagr:complete,rreq:complete]]]).

       % V KKKK (cond)    (8) geht er nach hause, ...  % 52
grammar([sc,[subcat:cond,pos:begin]],
          [[vp,[pos:verb,vagr:complete,rreq:complete]]]).

%%% treatment of the relative component 

       % absorption of rc % 53
grammar([vp,[semcat:VSem,subcat:S,ragr:RAgr,vagr:VAgr,pos:begin]],
          [[rc,[subcat:S,agr:Agr,ragr:RAgr,vagr:VAgr,person:P]],
           [vp,[semcat:VSem,subcat:sc,pos:midfield,vagr:VAgr,agr:Agr,person:P]]]).

       % nom % 54
grammar([rc,[subcat:rel,agr:Agr,ragr:Agr,
             person:third,vagr:[subj:[has,_]]]],
          [[pro,[subcat:rel,case:nom,agr:Agr]]]).

       % dat % 55
grammar([rc,[subcat:rel,ragr:Agr,vagr:[obj1:[has,_]]]],
          [[pro,[subcat:rel,case:dat,agr:Agr]]]).

       % acc % 56
grammar([rc,[subcat:rel,ragr:Agr,vagr:[obj2:[has,_]]]],
          [[pro,[subcat:rel,case:acc,agr:Agr]]]).

       % none % 57
grammar([rc,[subcat:rel,ragr:Agr]],
          [[pro,[subcat:rel,case:none,agr:Agr]]]).

       % creation of none: "mit dem" % 58
grammar([pro,[subcat:rel,pos:begin,case:none,agr:Agr]],
          [[p,[case:Kasus,det:no]],
           [pro,[subcat:rel,case:Kasus,agr:Agr]]]).

       % wq: nom % 59
grammar([rc,[subcat:wq,agr:Agr,person:third,vagr:[subj:[has,_]]]],
          [[pro,[subcat:qu1,case:nom,agr:Agr]]]).

       % wq: dat % 60
grammar([rc,[subcat:wq,vagr:[obj1:[has,_]]]],
          [[pro,[subcat:qu1,case:dat]]]).

       % wq: acc % 61
grammar([rc,[subcat:wq,vagr:[obj2:[has,_]]]],
          [[pro,[subcat:qu1,case:acc]]]).

       % wq: none % 62
grammar([rc,[subcat:wq]],
          [[pro,[subcat:qu1,case:none]]]).

       % wq: creation of none: "mit wem" % 63
grammar([pro,[subcat:qu1,case:none]],
          [[p,[case:Kasus,det:no]],
           [pro,[subcat:qu1,case:Kasus]]]).

%%% components for verbal phrases

       % pp % 64
grammar([comp,[subcat:mid,vagr:[ppobj:[has,SC]],ragr:RAgr,rreq:RReq]],
          [[pp,[semcat:SC,ragr:RAgr,rreq:RReq]]]).

       % np: subj % 65
grammar([comp,[subcat:mid,agr:Agr,person:P,vagr:[subj:[has,Sem]],ragr:RAgr,rreq:RReq]],
          [[np,[subcat:nom,semcat:Sem,agr:Agr,person:P,ragr:RAgr,rreq:RReq]]]).

       % np: obj1 % 66
grammar([comp,[subcat:mid,vagr:[obj1:[has,Sem]],ragr:RAgr,rreq:RReq]],
          [[np,[subcat:dat,semcat:Sem,ragr:RAgr,rreq:RReq]]]).

       % np: obj2 % 67
grammar([comp,[subcat:mid,vagr:[obj2:[has,Sem]],ragr:RAgr,rreq:RReq]],
          [[np,[subcat:acc,semcat:Sem,ragr:RAgr,rreq:RReq]]]).

       % scomp % 68
grammar([comp,[subcat:ext,vagr:[scomp:[has,Sem]],ragr:RAgr,rreq:RReq]],
          [[sc,[subcat:scomp,semcat:Sem,ragr:RAgr,rreq:RReq]]]).

       % vcomp % 69
grammar([comp,[subcat:mid,vagr:[vcomp:[has,Sem]]]],
          [[vcomp,[subcat:Sem]]]).

%%% prepositional phrases

       % adverb (auch,nur,noch) in front of pp % 70
grammar([pp,[semcat:A,ragr:RAgr,rreq:RReq]],
          [[adv,[semcat:auch]],
           [pp,[semcat:A,ragr:RAgr,rreq:RReq]]]).

       % p and pn % 71
grammar([pp,[semcat:[list,Sem1,Sem2]]],
          [[p,[semcat:Sem1]],
           [pn,[semcat:Sem2]]]).

       % p and np % 72
grammar([pp,[semcat:[list,Sem1,Sem2],ragr:RAgr,rreq:RReq]],
          [[p,[semcat:Sem1,case:Kasus]],
           [np,[subcat:Kasus,semcat:Sem2,ragr:RAgr,rreq:RReq]]]).

       % p and verb in inf % 73
grammar([pp,[semcat:[list,Sem1,Sem2]]],
          [[p,[semcat:Sem1]],
           [v,[subcat:inf,semcat:Sem2]]]).

%%% nominal phrases

       % adverb (auch,nur,noch) in front of np % 74
grammar([np,[subcat:SC,semcat:Sem,agr:Agr,person:P,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[adv,[semcat:auch]],
           [np,[subcat:SC,semcat:Sem,agr:Agr,person:P,tagr:TAgr,ragr:RAgr,rreq:RReq]]]).

       % np with relative clause % 75
grammar([np,[subcat:SC,semcat:Sem,agr:Agr,person:P,tagr:TAgr]],
          [[np,[subcat:SC,semcat:Sem,agr:Agr,person:P,tagr:TAgr]],
           [sc,[subcat:rel,ragr:Agr]]]).

       % personal pronoun % 76
grammar([np,[subcat:Kasus,agr:Agr,person:P,tagr:initial]],
          [[pro,[subcat:person,case:Kasus,agr:Agr,person:P]]]).

       % noun without determiner: does not need one % 77
grammar([np,[subcat:Kasus,semcat:Sem,agr:[number:sing,gender:Gen],person:third,tagr:initial]],
          [[n,[agr:[number:sing,gender:Gen],semcat:Sem,case:Kasus,det:no]]]).

       % noun without determiner: plural % 78
grammar([np,[subcat:Kasus,semcat:Sem,agr:[number:plur,gender:Gen],person:third,tagr:initial]],
          [[n,[agr:[number:plur,gender:Gen],semcat:Sem,case:Kasus]]]).

       % noun with determiner % 79
grammar([np,[subcat:Kasus,semcat:Sem,agr:Agr,person:third,tagr:initial]],
          [[det,[agr:Agr,def:D,case:Kasus]],
           [n,[agr:Agr,semcat:Sem,case:Kasus,def:D]]]).

       % noun without determiner (does not need), needs relative clause % 80
grammar([np,[subcat:Kasus,semcat:Sem,agr:[number:sing,gender:Gen],person:third,tagr:initial,
             ragr:[number:sing,gender:Gen],rreq:[req:[need,_]]]],
          [[n,[agr:[number:sing,gender:Gen],semcat:Sem,case:Kasus,det:no]]]).

       % noun without determiner (plural), needs relative clause % 81
grammar([np,[subcat:Kasus,semcat:Sem,agr:[number:plur,gender:Gen],person:third,tagr:initial,
             ragr:[number:plur,gender:Gen],rreq:[req:[need,_]]]],
          [[n,[agr:[number:plur,gender:Gen],semcat:Sem,case:Kasus]]]).

       % noun with determiner, needs relative clause % 82
grammar([np,[subcat:Kasus,semcat:Sem,agr:Agr,person:third,tagr:initial,
             ragr:Agr,rreq:[req:[need,_]]]],
          [[det,[agr:Agr,def:D,case:Kasus]],
           [n,[agr:Agr,semcat:Sem,case:Kasus,def:D]]]).

       % adj and n % 83
grammar([n,[semcat:Sem,agr:Agr,case:Kasus,det:D,def:Def]],
          [[adj,[agr:Agr,case:Kasus,def:Def]],
           [n,[semcat:Sem,agr:Agr,case:Kasus,det:D,def:Def]]]).

       % np and pp: zug von muenchen % 84
grammar([np,[subcat:S,semcat:zug,agr:Agr,person:third,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[np,[subcat:S,semcat:zug,agr:Agr,person:third,tagr:TAgr,ragr:RAgr,rreq:RReq]],
           [pp,[semcat:[list,von,ort],ragr:RAgr,rreq:RReq]]]).

       % np and pp: zug nach muenchen % 85
grammar([np,[subcat:S,semcat:zug,agr:Agr,person:third,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[np,[subcat:S,semcat:zug,agr:Agr,person:third,tagr:TAgr,ragr:RAgr,rreq:RReq]],
           [pp,[semcat:[list,nach,ort],ragr:RAgr,rreq:RReq]]]).

       % np and time phrase % 86
grammar([np,[subcat:S,semcat:Sem,agr:Agr,person:third,tagr:TAgr,ragr:RAgr,rreq:RReq]],
          [[np,[subcat:S,semcat:Sem,agr:Agr,person:third,tagr:TAgr,ragr:RAgr,rreq:RReq]],
           [tc,[tagr:TAgr]]]).

%%% pronoun     

       % 87
grammar([pro,[subcat:qu1,case:Kasus,agr:Agr]],
          [[pro,[subcat:qu2,case:Kasus,agr:Agr]],
           [n,[def:indef,case:Kasus,agr:Agr]]]).

%%% junk phrase

       % greeting "Guten Tag"  % 88
grammar([junk,[subcat:init]],
          [[adj,[semcat:qual,agr:Agr,case:acc]],
           [n,[semcat:tageszeit,agr:Agr,case:acc]]]).

       % greeting "Gruess Gott" % 89
grammar([junk,[subcat:init]],
          [[v,[semcat:gruessen,person:imp]],
           [n,[semcat:gott,case:acc,agr:[number:sing]]]]).

%%% time components

       % time % 90
grammar([tc,[subcat:single,tagr:[time:[has,SC]]]],
          [[tp,[semcat:[list,SC,zeit]]]]).

       % more than one time component % 91
grammar([tc,[subcat:multiple,tagr:[time:[has,SC]]]],
          [[tc,[tagr:[time:[has,SC]]]],
           [tp,[semcat:[list,SC,zeit]]]]).

       % time of day % 92
grammar([tc,[subcat:single,tagr:[tod:[has,SC]]]],
          [[tp,[semcat:[list,SC,tageszeit]]]]).
 % 93
grammar([tc,[subcat:multiple,tagr:[tod:[has,SC]]]],
          [[tc,[tagr:[tod:[has,SC]]]],
           [tp,[semcat:[list,SC,tageszeit]]]]).
 
       % day % 94
grammar([tc,[subcat:single,tagr:[day:[has,SC]]]],
          [[tp,[semcat:[list,SC,tag]]]]).
 % 95
grammar([tc,[subcat:multiple,tagr:[day:[has,SC]]]],
          [[tc,[tagr:[day:[has,SC]]]],
           [tp,[semcat:[list,SC,tag]]]]).

% time: "um fuenf vor 12 Uhr"

       % at time % 96
grammar([tp,[semcat:[list,Sem,zeit]]],
          [[p,[semcat:Sem]],
           [t,[semcat:zeit]]]).

       % time % 97
grammar([tp,[semcat:[list,none,zeit]]],
          [[t,[semcat:zeit]]]).

       % "zwoelf" "eins" % 98
grammar([t,[subcat:low,semcat:zeit]],
          [[adj,[semcat:zahl,case:none]]]).

       % "zwoelf Uhr" "ein Uhr" % 99
grammar([t,[subcat:high,semcat:zeit]],
          [[adj,[semcat:zahl,case:nom,agr:[gender:m]]],
           [n,[semcat:uhr,case:nom,agr:[number:sing]]]]).

       % "zwoelf uhr + zwanzig" % 100
grammar([t,[subcat:high,semcat:zeit]],
          [[t,[subcat:high,semcat:zeit]],
           [adj,[semcat:zahl,case:none]]]).

       % fraction of hour specification before time % 101
grammar([t,[subcat:high,semcat:zeit]],       % actually: only once
          [[t,[subcat:high,semcat:zeitrel]],
           [t,[subcat:high,semcat:zeit]]]).

       % fraction of hour specification before time % 102
grammar([t,[subcat:high,semcat:zeit]],
          [[t,[subcat:low,semcat:zeitrel]],
           [t,[subcat:low,semcat:zeit]]]).

       % viertel vor % 103
grammar([t,[subcat:low,semcat:zeitrel]],
          [[adj,[semcat:bruchteil,case:none]],   % actually just "viertel"
           [p,[semcat:vor]]]).

       % fraction (as in "halb 8" or "viertel 2") % 104
grammar([t,[subcat:low,semcat:zeitrel]],
          [[adj,[semcat:bruchteil,case:none]]]).    

       % viertel nach % 105
grammar([t,[subcat:low,semcat:zeitrel]],
          [[adj,[semcat:bruchteil,case:none]],   % actually just "viertel"
           [p,[semcat:nach]]]).

       % "acht vor" % 106
grammar([t,[subcat:high,semcat:zeitrel]],
          [[adj,[semcat:zahl,case:none]],
           [p,[semcat:vor]]]).

       % "zehn nach" % 107
grammar([t,[subcat:high,semcat:zeitrel]],
          [[adj,[semcat:zahl,case:none]],
           [p,[semcat:nach]]]).

       % "zwoelf Sekunden vor", "eine gute halbe Minute vor" % 108
grammar([t,[semcat:zeitrel]],
          [[np,[semcat:zeiteinheit,case:nom,def:indef]],
           [p,[semcat:vor]]]).

       % "zwoelf Sekunden nach", "eine gute halbe Minute nach" % 109
grammar([t,[semcat:zeitrel]],
          [[np,[semcat:zeiteinheit,case:nom,def:indef]],
           [p,[semcat:nach]]]).

% time of day: "am Nachmittag"

       % "abend" % 110
grammar([tp,[semcat:[list,none,tageszeit]]],
          [[n,[semcat:tageszeit,case:nom,agr:[number:sing]]]]).
       % actually: can only appear right after time/day phrase

       % "abends" % 111
grammar([tp,[semcat:[list,none,tageszeit]]],
          [[adv,[semcat:tageszeit]]]).

       % "am Nachmittag" % 112
grammar([tp,[semcat:[list,an-dat,tageszeit]]],
          [[p,[semcat:an-dat,det:D,agr:Agr,case:Kasus]],
           [n,[semcat:tageszeit,det:D,agr:Agr,case:Kasus]]]).

       % "in der Nacht" % 113
grammar([tp,[semcat:[list,in-dat,tageszeit]]],
          [[p,[semcat:an-dat,det:D,agr:Agr,case:Kasus]],
           [n,[semcat:tageszeit,det:D,agr:Agr,case:Kasus]]]).

% day: "am Samstag"

       % "Samstag" % 114
grammar([tp,[semcat:[list,none,tag]]], %!! exception of "Feiertag"
          [[n,[semcat:tag,case:nom,agr:[number:sing]]]]).  

       % "samstags" % 115
grammar([tp,[semcat:[list,none,tag]]],
          [[adv,[semcat:tag]]]).

       % "am Samstag" % 116
grammar([tp,[semcat:[list,an-dat,tag]]],
          [[p,[semcat:an-dat,det:D,agr:Agr,case:Kasus]],
           [n,[semcat:tag,det:D,agr:Agr,case:Kasus]]]).
